package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessDictEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据字典表
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-15 11:57:22
 */
public interface BusinessDictService extends IService<BusinessDictEntity> {

    PageUtils queryPage(Map<String, Object> params);


    List<BusinessDictEntity> getByParentId(Integer parentId);


    List<BusinessDictEntity> listWithTree();

    List<BusinessDictEntity> getOneList();

    /**
     * 获取位置 职位列表
     * @param params
     * @return
     */
    List<BusinessDictEntity> queryWzAndZw();

    List<BusinessDictEntity> queryAll();

    Integer findCnByName(Map<String, Object> params);

}

